> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List communication threads

> List communication thread shells for tickets, reviews, customers, or channels. This endpoint returns latest-message summary fields only; fetch messages from the messages endpoint.



## OpenAPI

````yaml GET /communication/threads
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /communication/threads:
    get:
      description: >-
        List communication thread shells for tickets, reviews, customers, or
        channels. This endpoint returns latest-message summary fields only;
        fetch messages from the messages endpoint.
      parameters:
        - in: header
          name: x-account-id
          description: The account that owns the communication records
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: from
          schema:
            type: integer
            default: 0
        - in: query
          name: to
          schema:
            type: integer
            default: 49
        - in: query
          name: ticket_id
          schema:
            type: string
            format: uuid
        - in: query
          name: review_id
          schema:
            type: string
            format: uuid
        - in: query
          name: customer_id
          schema:
            type: string
        - in: query
          name: channel
          schema:
            $ref: '#/components/schemas/CommunicationChannel'
        - in: query
          name: status
          schema:
            type: string
            enum:
              - open
              - closed
      responses:
        '200':
          description: Communication thread shells
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CommunicationThread'
                  from:
                    type: number
                  to:
                    type: number
                  count:
                    type: number
        '422':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CommunicationChannel:
      type: string
      enum:
        - email
        - whatsapp
        - chat
        - review
        - system
        - other
    CommunicationThread:
      type: object
      properties:
        id:
          type: string
          format: uuid
        account_id:
          type: string
          format: uuid
        ticket_id:
          type: string
          format: uuid
          nullable: true
        review_id:
          type: string
          format: uuid
          nullable: true
        customer_id:
          type: string
          nullable: true
        inbox_id:
          type: string
          format: uuid
          nullable: true
        channel:
          $ref: '#/components/schemas/CommunicationChannel'
        channel_account_id:
          type: string
          nullable: true
        external_thread_id:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - open
            - closed
        assignee_user_id:
          type: string
          format: uuid
          nullable: true
        latest_message_id:
          type: string
          format: uuid
          nullable: true
        latest_message_at:
          type: string
          format: date-time
          nullable: true
        latest_message_preview:
          type: string
          nullable: true
        latest_message_channel:
          $ref: '#/components/schemas/CommunicationChannel'
        latest_message_direction:
          $ref: '#/components/schemas/CommunicationDirection'
        unread_count:
          type: number
        metadata:
          type: object
          additionalProperties: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        closed_at:
          type: string
          format: date-time
          nullable: true
        deleted_at:
          type: string
          format: date-time
          nullable: true
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
    CommunicationDirection:
      type: string
      enum:
        - inbound
        - outbound
        - internal
        - system
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````